declare type TWallet = {
    address: string;
    symbol: string;
    tokenChain?: string;
};
declare class SimpelHoldWallet {
    callbackScheme: string;
    callbackId: number;
    app: {
        name: string;
        scheme: string;
    };
    resolvers: {
        [key: string]: (value: string) => void;
    };
    rejectors: {
        [key: string]: (value: Object) => void;
    };
    constructor(callbackScheme: string);
    start(): void;
    cleanup(): void;
    installed(): Promise<boolean>;
    requestWallets(): Promise<TWallet[]>;
    private genId;
    private sendRequest;
    private handleOpenURL;
}
export default SimpelHoldWallet;
