export declare enum SimpleHoldCommand {
    getWallets = "sdk_get_wallets"
}
export declare namespace SimpleHoldCommand {
    function parseURL(urlString: string): {
        id: string;
        result: string;
        error: string;
    };
    function getURL(request: Request, scheme?: string): string;
    function processQuery(query: QueryItem[]): string;
}
export interface Request {
    id: string;
    command: string;
    callbackScheme: string;
    callbackPath: string;
    toQuery(): QueryItem[];
}
declare class QueryItem {
    k: string;
    v: string;
    constructor(k: string, v: string);
}
export declare class GetWalletsRequest implements Request {
    id: string;
    command: string;
    callbackScheme: string;
    callbackPath: string;
    constructor(callbackId: string, callbackScheme?: string, callbackPath?: string);
    toQuery(): QueryItem[];
}
export {};
